/*
This software was made by Martin 'Zervox' Nilsen.

Software uses a modified version of the Noise++ Library.
Original Copyright (c) 2008, Urs C. Hanselmann
All rights reserved.
*/

void Generate2DHeight(C VecI2 &pos, Image &img,C Str module);
void Generate2DColor(C VecI2 &pos, Image &img,C Str module);
void Generate3D(C VecI &pos, Image &img,C Str module, bool caves = false);
void loadModules(C Str loadModules);
void About();
Memc<Str> GetModuleNames();